petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchRegisterAll

Registers all of the nonlinear solver methods in the SNESLineSearch package.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchRegisterAll(void)

Not Collective Many br

Many br

### Keywords

SNESLineSearch, register, all

### See Also

SNESLineSearchRegisterDestroy()

Level:advanced
Location:src/snes/linesearch/interface/linesearchregi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages